/*
 * Copyright 2010 ETH Zuerich, CISD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ch.systemsx.cisd.common.api.client;

/**
 * Interface of classes which know how to ping a specified remote service.
 * 
 * @author Franz-Josef Elmer
 */
public interface IServicePinger<S>
{
    /**
     * Pings specified service. An exception is thrown if the service can not be reached.
     */
    public void ping(S service);
}
